Up

# NSTask+GNUstepBase documentation

### Authors

Richard Frith-Macdonald (`rfm@gnu.org`)

Copyright: (C) 2008 Free Software Foundation, Inc.

# Software documentation for the NSTask(GNUstepBase) category

## NSTask(GNUstepBase)

> Declared in:
>   GNUstepBase/NSTask+GNUstepBase.h

Availability: Not in OpenStep/MacOS-X
Description forthcoming.
Method summary

- +launchPathForTool:

### launchPathForTool:

+ (NSString*) launchPathForTool: (NSString*)name;
Availability: Not in OpenStep/MacOS-X
Returns the launch path for a tool given the name of a tool.
Locates the tool by looking in the standard directories and, if not found there, looking in the PATH set in the environment.
On ms-windows, this also tries appending common executable path extensions to the tool name in order to find it.
Returns the path found, or `nil` if the tool could not be located.

Up